<?php
//Арифметические операторы!
/*
 "+" - сложение $a + $b
"-" - вычитание $a - $b
"*" - умножение $a*$b
"/" - деление $a/$b
"-$a" - отрицание (смена знака)
 "$a % $b" - деление по модулю (остаток от деления)
"$a ** $b" - возведение в степень
"=" - присваивание (установка значения)
"&" - присваивание по ссылке
===============================
"++$a" - префиксный инкремент
"$a++" - постфиксный инкремент
"--$a" - префиксный дикремент
"$a--" - постфиксный дикремент
"." - конкатенация (склеивание строк)
комбинированные операторы
Префикс - сначала изменит, затем вернёт
постфикс - сначала вернёт, затем - изменит
  */
?>
<!DOCTYPE html>
<HTML>
<HEAD>
    <meta charset="UTF-8">
    <title>Операторы в php</title>
</HEAD>
<BODY>
<?php
//echo (5 - 3) * 5;
$a = 5;
$b = 3;
$c = $a;
$d = &$a;
//echo $a % $b;
var_dump($a);
var_dump($d);
$a = 2;
var_dump($a);
var_dump($c);
var_dump($d);
$str1 = 'Hello,';
$str2 = ' world!';
echo $str1.$str2;

 //NULL - неинициализированная переменная
$var = ' ';
unset($var);//уничтожение переменной
$var = NULL;
$var++;//декремент в данном случае не сработает!
var_dump($var);

?>
</BODY>
</HTML>
